Skip to main content
GET
/
v1
/
articles
/
{uid}
Retrieve an Article
curl --request GET \
  --url https://api.siit.io/v1/articles/{uid} \
  --header 'Authorization: Bearer <token>'
{
  "uid": "<string>",
  "archived_at": "2023-11-07T05:31:56Z",
  "author": "<string>",
  "author_uid": "<string>",
  "body": "<string>",
  "category": "<string>",
  "category_uid": "<string>",
  "created_at": "2023-11-07T05:31:56Z",
  "external_url": "<string>",
  "last_editor": "<string>",
  "last_editor_uid": "<string>",
  "published": true,
  "source": "external",
  "subtitle": "<string>",
  "title": "<string>",
  "updated_at": "2023-11-07T05:31:56Z"
}

Introduction

Allows retrieving a draft or published Article.

Usage

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Path Parameters

uid
string
required

The UID of the Article

Response

Article show

uid
string

The UID of the Equipment

archived_at
string<date-time> | null

datetime formatted as ISO 8601 (e.g. "2020-12-15T03:34:13.000Z")

author

The user who created the article. Pass ?expand[]=field_name for full object.

author_uid
string | null
deprecated

DEPRECATED: Use author instead. UID of the User who created the article

body
string

Text content of the article

category

The category of this article. Pass ?expand[]=field_name for full object.

category_uid
string
deprecated

DEPRECATED: Use category instead.

created_at
string<date-time>

datetime formatted as ISO 8601 (e.g. "2020-12-15T03:34:13.000Z")

external_url
string | null

URL that the article redirects to

last_editor

The user who last edited the article. Pass ?expand[]=field_name for full object.

last_editor_uid
string | null
deprecated

DEPRECATED: Use last_editor instead. UID of the User who last edited the article

published
boolean

Indicates if the Article is published

source
enum<string>
default:external
Available options:
external,
confluence,
guru,
notion,
slab,
siit,
slack
subtitle
string | null
title
string
updated_at
string<date-time>

datetime formatted as ISO 8601 (e.g. "2020-12-15T03:34:13.000Z")